#!/usr/bin/perl -w

=pod

=head1 demo.pl

Demonstrate using the Comp670 module for getting some data. You should run this from the same directory that has the Comp670.pm file.

=head2 About

Written by Rob Edwards (redwards@salmonella.org), this demonstrates some methods for accessing the phage proteome tree data.

Copyright Rob Edwards 2006, released under the same terms as PERL itself.

=head2 Version

Version 1. November 22nd, 2006

=cut

use strict;
use lib '.'; # this must be called in the same directory as the file Comp670.pm
use Comp670;


my $comp=new Comp670;


# find a genome number for a protein
# protein number 3445 is in genome # 93

my $genome=$comp->protein2genome(3445);
print "Protein 3445 is in genome $genome\n";

# find how many proteins are in a given genome
my $proteins=$comp->genome2protein(93);
print "Genome 187 has ", scalar(@$proteins), " proteins in it\n";

# figure out the length information:
# this is a line from the file:
# 25576   339     26518   398     336     65
my @lengths=$comp->length_information(26518, 25576);
print "Requesting length information for 26518 and 25576 returned @lengths\n(Note that I switched the order of the first 4 columns to match the request)\n";

# figure out two protein distances
# this is a line from the file:
# 2241    25419   5.7     2.953184
my $pdist=$comp->protein_distance(25419, 2241);
print "Distance between 25419 and 2241 is $pdist\n";
